Skip to main content
GET
/
v1
/
batches
List
curl --request GET \
  --url https://{defaultHost}/v1/batches \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/batches"
  },
  "data": [
    {
      "id": "e0af5e1e-f4d1-455d-b3d4-3dc505c0f325",
      "object": "batch",
      "finished_batch_operations_count": 0,
      "batch_operations_count": 0,
      "status": "completed",
      "created_at": 1778010859,
      "updated_at": 1778010859
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.surecart.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

status[]
string[]

Only return objects with the given status.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.